centos PHP バージョンアップ

Serverman@VPS Entry (490円/月)
http://dream.jp/vps/

CentOS 5.7 運用中

今更気がついたが、デフォルトだとPHPのバージョンが5.1.6だった。。
最新の wordpress とかだと動かん。。

なので、バージョンアップをしてみた。

・デーモン停止

/etc/init.d/httpd stop

・旧パッケージ削除

インストールされているPHPパッケージ確認

# rpm -qa | grep php | sort
php-5.1.6-27.el5_5.3
php-cli-5.1.6-27.el5_5.3
php-common-5.1.6-27.el5_5.3

インストールされているPHPパッケージの削除

# yum remove php-*

・PHPのインストール

php5.3系のインストールするパッケージの確認

# yum list | grep php53

yum install phpだと、バージョンは5.1.6がインストールされてしまうので

yum install php53

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

認証(CAPTCHA) * Time limit is exhausted. Please reload CAPTCHA.